2019-12-15 12:42 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000696Spring engineGeneralpublic2007-12-04 16:23
Reporterimbaczek 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000696: team 0 start pos always seems to be top left corner regardless of choice
Descriptiontested only on 4863 due to Ogg bug, but relatively easy to reproduce - no matter what start position selection type is made and no matter the choice (if any), the host always starts top left.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001473

KDR_11k (reporter)

Ah, that explains what we saw in the first Fibre test match, I thought it was just a fluke.

~0001479

Kloot (developer)

Last edited: 2007-12-04 16:22

note to self: the Gaia player (3) gets assigned
to team 0 which is also player 0's team (thereby
resetting that team's start position):

CGameSetup::LoadPlayers(), team# for player 0: 0
CGameSetup::LoadPlayers(), team# for player 1: 1
CGameSetup::LoadPlayers(), team# for player 2: 2

CGameSetup::Init(), startpos for team# 0, xyz: 5095 100 442
CGameSetup::Init(), startpos for team# 1, xyz: 999 100 7717
CGameSetup::Init(), startpos for team# 2, xyz: 557 100 737

CGameServer::StartGame(), sending startpos for team# 0, xyz: 5095 100 442
CGameServer::StartGame(), sending startpos for team# 1, xyz: 999 100 7717
CGameServer::StartGame(), sending startpos for team# 2, xyz: 557 100 737
CGameServer::StartGame(), sending startpos for team# 3, xyz: 100 100 100

CGame::ClientReadNet(), read startpos for player 0, team# 0, xyz: 5095 100 442
CGame::ClientReadNet(), read startpos for player 1, team# 1, xyz: 999 100 7717
CGame::ClientReadNet(), read startpos for player 2, team# 2, xyz: 557 100 737
CGame::ClientReadNet(), read startpos for player 3, team# 0, xyz: 100 100 100

CCommanderScript::Update(), team 0, xyz: 100 100 100

~0001480

Kloot (developer)

should be fixed as of r4928
+Notes

-Issue History
Date Modified Username Field Change
2007-11-30 18:45 imbaczek New Issue
2007-11-30 20:29 KDR_11k Note Added: 0001473
2007-11-30 20:50 Auswaschbar Status new => assigned
2007-11-30 20:50 Auswaschbar Assigned To => Auswaschbar
2007-12-04 01:32 Kloot Note Added: 0001479
2007-12-04 01:32 Kloot Note Edited: 0001479
2007-12-04 16:22 Kloot Note Edited: 0001479
2007-12-04 16:22 Kloot Assigned To Auswaschbar => Kloot
2007-12-04 16:22 Kloot Status assigned => resolved
2007-12-04 16:22 Kloot Resolution open => fixed
2007-12-04 16:22 Kloot Note Added: 0001480
+Issue History